Get Schedules Entities
Lists schedules on the network that govern the execution logic of scheduled transactions. This includes executed and non executed schedules.
Query parameters
account.idstringOptionalExample:
The ID of the account to return information for
{"summary":"--","value":""}Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$limitinteger · int32 · min: 1 · max: 100OptionalDefault:
The maximum number of items to return
25Example: 2orderundefined · enumOptionalDefault:
The order in which items are listed
ascExample: descPossible values: schedule.idstringOptionalExample:
The ID of the schedule to return information for
{"summary":"--","value":""}Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$Responses
200
OK
application/json
400
Invalid parameter
application/json
get/api/v1/schedules
GET /v1/YOUR_API_KEY/api/v1/schedules HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
"schedules": [
{
"admin_key": {
"_type": "ProtobufEncoded",
"key": 10101
},
"consensus_timestamp": "1586567700.453054000",
"creator_account_id": "0.1.2",
"deleted": false,
"executed_timestamp": "1586567700.453054000",
"expiration_time": "1586567700.453054000",
"memo": "created on 02/10/2021",
"payer_account_id": "0.1.2",
"schedule_id": "0.1.2",
"signatures": [
{
"consensus_timestamp": "1586567700.453054000",
"public_key_prefix": "AAEBAwuqAwzB",
"signature": "3q2+7wABAQMLqgMMwQ==",
"type": "ED25519"
}
],
"transaction_body": "Kd6tvu8=",
"wait_for_expiry": true
}
],
"links": {
"next": "/api/v1/transactions?timestamp=lt:1657598275.517984411"
}
}Last updated
Was this helpful?